Skip to main content

Runs

Runs are the core execution object in Navi. You create a run against an agent, then inspect or stream it.

List runs

GET /api/v1/navi/runs?limit=20&offset=0
Example:
curl -s \
  -H "Cookie: sb-access-token=<your-session-cookie>" \
  "https://dev.meridian7.io/api/v1/navi/runs?limit=20&offset=0" | jq

Create a run

POST /api/v1/navi/runs
Content-Type: application/json

{
  "agentId": "navi.meeting_prep",
  "input": {
    "message": "Prepare me for tomorrow's executive review"
  },
  "context": {
    "dealId": "11111111-1111-1111-1111-111111111111"
  }
}
Example:
curl -s \
  -X POST \
  -H "Cookie: sb-access-token=<your-session-cookie>" \
  -H "Content-Type: application/json" \
  https://dev.meridian7.io/api/v1/navi/runs \
  -d '{
    "agentId": "navi.meeting_prep",
    "input": {
      "message": "Prepare me for tomorrow morning's executive review"
    },
    "context": {
      "dealId": "11111111-1111-1111-1111-111111111111"
    }
  }' | jq
Example response:
{
  "data": {
    "runId": "run_123",
    "status": "created",
    "agentId": "navi.meeting_prep"
  },
  "requestId": "req_123",
  "version": "v1"
}

Get a run

GET /api/v1/navi/runs/{runId}
This returns the run status, timestamps, and a message preview.

Stream a run

GET /api/v1/navi/runs/{runId}/stream
Accept: text/event-stream
Use the stream endpoint when you want incremental run output in a client that supports Server-Sent Events.

Cancel a run

DELETE /api/v1/navi/runs/{runId}